- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgUtx::TestErrorX Class Reference

A TestErrorX indicates an error while testing a component, which prevents the test from being run. More...

Inheritance diagram for osgUtx::TestErrorX:

[legend]
List of all members.

## Public Member Functions
| TestErrorX (const std::string &s)

## Detailed Description

A TestErrorX indicates an error while testing a component, which prevents the test from being run.

It does not indicate a problem with the component, but rather a problem during the run which prevents the component from being tested.

## Constructor & Destructor Documentation

osgUtx::TestErrorX::TestErrorX | ( | const std::string & | s | ) | `[inline]`

The documentation for this class was generated from the following file:

- UnitTestFramework